﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Data.Services.Client;

namespace JQueryMVC.Controllers
{
  [HandleError]
  public class HomeController : Controller
  {
public ActionResult Index()
{
  var svcUri = new Uri("http://odata.netflix.com//v1//Catalog");

  var context = new NetflixOData.NetflixCatalog(svcUri);
  var query = from genre in context.Genres
              where genre.Name == "Independent"
              from title in genre.Titles
              where title.ReleaseYear>=2007
              select title ;
  var titles = query.ToList();             
  return View(titles);
}

    public ActionResult About()
    {
      return View();
    }
  }
}
